package com.yidian.shenghuoquan.buserorder.app.bean

import com.google.gson.annotations.SerializedName

data class OrderWebData(
    @SerializedName(value = "create_time_text")
    val create_time_text: String,
    @SerializedName(value = "desc_pic_url")
    val desc_pic_url: String,
    @SerializedName(value = "discount_fee")
    val discount_fee: String,
    @SerializedName(value = "goods_desc")
    val goods_desc: String,
    @SerializedName(value = "goods_introduce")
    val goods_introduce: String,
    @SerializedName(value = "goods_name")
    val goods_name: String,
    @SerializedName(value = "goods_num")
    val goods_num: Int,
    @SerializedName(value = "goods_price")
    val goods_price: String,
    @SerializedName(value = "life_account_icon")
    val life_account_icon: String,
    @SerializedName(value = "life_account_id")
    val life_account_id: String,
    @SerializedName(value = "life_account_name")
    val life_account_name: String,
    @SerializedName(value = "marketing_id")
    val marketing_id: Int,
    @SerializedName(value = "marketing_name")
    val marketing_name: String,
    @SerializedName(value = "merge_order_item_list")
    val merge_order_item_list: List<MergeOrderItem>,
    @SerializedName(value = "online_status")
    val online_status: String,
    @SerializedName(value = "order_id")
    val order_id: String,
    @SerializedName(value = "order_item_list")
    val order_item_list: List<OrderItem>,
    @SerializedName(value = "order_price")
    val order_price: String,
    @SerializedName(value = "order_status")
    val order_status: Int,
    @SerializedName(value = "order_status_text")
    val order_status_text: String,
    @SerializedName(value = "original_price")
    val original_price: String,
    @SerializedName(value = "pay_time")
    val pay_time: String,
    @SerializedName(value = "payment")
    val payment: Double,
    @SerializedName(value = "place_list")
    val place_list: PlaceList,
    @SerializedName(value = "refund_amount")
    val refund_amount: Double,
    @SerializedName(value = "refund_apply_time")
    val refund_apply_time: String,
    @SerializedName(value = "refund_finish_time")
    val refund_finish_time: String,
    @SerializedName(value = "shipping_list")
    val shipping_list: ShippingList,
    @SerializedName(value = "total_amount_sold")
    val total_amount_sold: String,
    @SerializedName(value = "total_price")
    val total_price: Double
)

data class MergeOrderItem(
    @SerializedName(value = "goods_name")
    val goods_name: String,
    @SerializedName(value = "goods_num")
    val goods_num: Int,
    @SerializedName(value = "price")
    val price: Double
)

data class OrderItem(
    @SerializedName(value = "goods_name")
    val goods_name: String,
    @SerializedName(value = "goods_num")
    val goods_num: Int,
    @SerializedName(value = "goods_sku_id")
    val goods_sku_id: String,
    @SerializedName(value = "price")
    val price: Double,
    @SerializedName(value = "desc_pic_url")
    var desc_pic_url:String? = null
)

data class PlaceList(
    @SerializedName(value = "address")
    val address: String,
    @SerializedName(value = "area")
    val area: String,
    @SerializedName(value = "city")
    val city: String,
    @SerializedName(value = "contact_name")
    val contact_name: String,
    @SerializedName(value = "create_time")
    val create_time: String,
    @SerializedName(value = "is_delete")
    val is_delete: Int,
    @SerializedName(value = "latitude")
    val latitude: String,
    @SerializedName(value = "life_account_id")
    val life_account_id: String,
    @SerializedName(value = "location")
    val location: String,
    @SerializedName(value = "longitude")
    val longitude: String,
    @SerializedName(value = "phone")
    val phone: String,
    @SerializedName(value = "province")
    val province: String,
    @SerializedName(value = "take_place_id")
    val take_place_id: Int,
    @SerializedName(value = "take_place_name")
    val take_place_name: String,
    @SerializedName(value = "update_time")
    val update_time: String
)

data class ShippingList(
    @SerializedName(value = "receiver_address")
    val receiver_address: String,
    @SerializedName(value = "receiver_mobile")
    val receiver_mobile: String,
    @SerializedName(value = "receiver_name")
    val receiver_name: String
)


